Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionServletWrapper

    java.lang.Object
      |
      +--org.apache.struts.action.ActionServletWrapper

public class ActionServletWrapper
extends java.lang.Object

Provide a wrapper around an ActionServlet to expose only those methods needed by other objects. When used with an ActionForm, subclasses must be careful that they do not return an object with public getters and setters that could be exploited by automatic population of properties.

Since:
  Struts 1.0.1
Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:18 $
Author:
  Craig R. McClanahan, Ted Husted

Field Summary
`protected ActionServlet` | `servlet` The controller servlet instance to which we are attached.

Constructor Summary
`ActionServletWrapper(ActionServlet servlet)` Create object and set servlet property.

Method Summary
`void` | `log(java.lang.String message)` Log message.
`void` | `log(java.lang.String message, int level)` Deprecated. Logging should now use the commons logging
`void` | `setServletFor(MultipartRequestHandler object)` Set servlet to a MultipartRequestHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servlet

    protected transient ActionServlet servlet

  The controller servlet instance to which we are attached.

Constructor Detail

### ActionServletWrapper

    public ActionServletWrapper(ActionServlet servlet)

  Create object and set servlet property.

Parameters:
  `servlet` - `ActionServlet` to wrap

Method Detail

### log

    public void log(java.lang.String message,
                    int level)

  Deprecated. Logging should now use the commons logging

  Log the specified message if the current debugging detail level for this servlet has been set to an equal or higher value. Otherwise, ignore this message.

  Parameters:
    `message` - Message to be logged
    `level` - Debugging detail level of this message

### log

    public void log(java.lang.String message)

  Log message.

  Parameters:
    `message` -

### setServletFor

    public void setServletFor(MultipartRequestHandler object)

  Set servlet to a MultipartRequestHandler.

  Parameters:
    `object` - The MultipartRequestHandler :FIXME: Should this be based on an "setServlet" interface or introspection for a setServlet method? Or, is it safer to just add the types we want as we want them?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation